Subject: bug#69953: [PATCH] Remove duplicated asserts and checks

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 May 2024 16:05:15 +0300

> Date: Sat, 11 May 2024 13:57:31 +0100
> Cc: [email-masked], [email-masked], [email-masked]
> From: Sergey Vinokurov <[email-masked]>
> 
> It's small indeed and maybe even inconsequential. But as the saying 
> goes, the devil is in the details - the small things. Another reason to 
> bother is to see whether I can manage to get small things merged - 
> bigger contributions would likely involve all the hard parts of merging 
> small contributions and then some. If I'm not able to finish small 
> things then bigger ones are unlikely to succeed.

I'm sure you will find a lot of other opportunities for small
contributions, no need to extrapolate from this one.

In many places in Emacs, there's more to the code than meets the eye,
so bitter experience taught me to be extremely cautious with code I'm
not familiar enough.